queryDynamicEntities

Returns all dynamic entities with track ID values that match the specified list of track IDs. Use this method to query for dynamic entities from the data source that have track ID values matching the specified track IDs.

The track ID is an attribute value in a DynamicEntityDataSource that uniquely identifies a dynamic entity. For an ArcGISStreamService, the track ID attribute is defined by the ArcGISStreamServiceInfo.trackIdField property. For a custom DynamicEntityDataSource, the track ID attribute is defined by the DynamicEntityDataSourceInfo.entityIdFieldName property.

The returned DynamicEntityQueryResult object can be used to iterate over the query results.

Return

A Result containing the DynamicEntityQueryResult that contains all dynamic entities with track ID values that match the specified list of track IDs.

Since

300.0.0

Parameters

trackIds

Unique dynamic entity track IDs to query for.


Returns all dynamic entities currently matching the specified query parameters. Use this method to query the dynamic entities currently stored in the data source. The query parameters can be used to filter based on track ID, geometry, spatial relationship, and attribute query string.

The query is performed on the most recent observation of each dynamic entity in the data source at the time the query is executed.

The returned DynamicEntityQueryResult object can be used to iterate over the query results.

Return

A Result containing the DynamicEntityQueryResult that contains all dynamic entities currently matching the specified query parameters.

Since

200.7.0

Parameters

parameters

Parameters for performing the dynamic entity query.